package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * FileServerGlobalBackupVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class FileServerGlobalBackupVo   {
  @JsonProperty("serverConfig")
  private FileServerOpenApiVo serverConfig;

  @JsonProperty("filePath")
  private String filePath;

  @JsonProperty("retainUser")
  private Boolean retainUser;

  public FileServerGlobalBackupVo serverConfig(FileServerOpenApiVo serverConfig) {
    this.serverConfig = serverConfig;
    return this;
  }

  /**
   * Get serverConfig
   * @return serverConfig
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public FileServerOpenApiVo getServerConfig() {
    return serverConfig;
  }

  public void setServerConfig(FileServerOpenApiVo serverConfig) {
    this.serverConfig = serverConfig;
  }

  public FileServerGlobalBackupVo filePath(String filePath) {
    this.filePath = filePath;
    return this;
  }

  /**
   * Saving directory path for backup file. Parameter [filePath] should be 1 - 128 ASCII characters.
   * @return filePath
  */
  @ApiModelProperty(required = true, value = "Saving directory path for backup file. Parameter [filePath] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getFilePath() {
    return filePath;
  }

  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }

  public FileServerGlobalBackupVo retainUser(Boolean retainUser) {
    this.retainUser = retainUser;
    return this;
  }

  /**
   * Whether need retain user info.
   * @return retainUser
  */
  @ApiModelProperty(value = "Whether need retain user info.")


  public Boolean getRetainUser() {
    return retainUser;
  }

  public void setRetainUser(Boolean retainUser) {
    this.retainUser = retainUser;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FileServerGlobalBackupVo fileServerGlobalBackupVo = (FileServerGlobalBackupVo) o;
    return Objects.equals(this.serverConfig, fileServerGlobalBackupVo.serverConfig) &&
        Objects.equals(this.filePath, fileServerGlobalBackupVo.filePath) &&
        Objects.equals(this.retainUser, fileServerGlobalBackupVo.retainUser);
  }

  @Override
  public int hashCode() {
    return Objects.hash(serverConfig, filePath, retainUser);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FileServerGlobalBackupVo {\n");
    
    sb.append("    serverConfig: ").append(toIndentedString(serverConfig)).append("\n");
    sb.append("    filePath: ").append(toIndentedString(filePath)).append("\n");
    sb.append("    retainUser: ").append(toIndentedString(retainUser)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

